package counter;

import java.util.concurrent.atomic.AtomicInteger;

public class AtomicIntCounter implements Counter {
    AtomicInteger counter = new AtomicInteger(0);

    @Override
    public void increment() {
        counter.incrementAndGet();
    }

    @Override
    public long getValue() {
        return counter.longValue();
    }
}
