package counter;

import java.util.concurrent.atomic.AtomicLong;

public class AtomicLongCounter implements Counter {
    AtomicLong counter = new AtomicLong(0);

    @Override
    public void increment() {
        counter.incrementAndGet();
    }

    @Override
    public long getValue() {
        return counter.longValue();
    }
}
