package pc;

import java.util.function.Consumer;

public class Producer extends Thread {
    private final Consumer<Integer> consumer;

    public Producer(Consumer<Integer> c) {
        consumer = c;
    }

    @Override
    public void run() {
        for (int i = 0; i < 100; ++i) {
            try {
                sleep(5);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            consumer.accept(i);
        }
    }
}
